#ifndef TESTVOLUMEMANAGER_H_
#define TESTVOLUMEMANAGER_H_

#include <igstkMacros.h>

#include "volumemanager.h"

class TestVolumeManager
{
    igstkObserverObjectMacro(MRImage, igstk::MRImageReader::ImageModifiedEvent, igstk::MRImageSpatialObject);
public:
    void loadAVolume(const std::string & dicomSeriesPath);
private:
    igstkObserverMacro(MRImageId, VolumeManager::ImageReadyEvent, igstk::EventHelperType::SignedIntType);
    igstkObserverObjectMacro(DicomVolume, VolumeManager::FoundVolumeEvent, igstk::MRImageSpatialObject);
    igstk::MRImageReader::ImageSpatialObjectType::Pointer mImageSpatialObject;
    static std::string DICOMSERIES_PATH;
};

#endif
